Java – Bad version number in .class file

septiembre 11, 2009

El día de hoy me apareció una actualización disponible en mi flamante ubuntu 9.04, como de costumbre le di clic en actualizar sin pensar mucho.
Pues dentro de las actualizaciones venia una actualizacion del JDK, esto ocasiono que Eclipse quitara el JRE de su lista. Esto ocasiono que mis proyectos fallaran miserablemente con el error

java.lang.UnsupportedClassVersionError: Bad version number in .class file

Para corregir esto, simplemente hay que reconfigurar el JRE en las preferencias de Eclipse y -tal vez- recompilar los proyectos (Project->Clean…)

byte!

Anuncios

4 comentarios to “Java – Bad version number in .class file”

  1. Duval Says:

    El problema radica en que las versiones de compilación (javac ) y ejecución (java) deben ser las mismas, pero no necesariamente en tu PC. El jdbc para conección es el que debe ser compatible con nuestra PC.
    Entonces, la solución es buscar el JDBC adecuado.


  2. […] Java – Bad version number in .class file septiembre, 2009 1 comentario 5 […]

  3. danielas756 Says:

    JAJAJAJAJAJA TUS GANAS… eso no se arregla así de coña (sobre todo si es un downgrade de la versión de la JDK). Pero de sueños también se vive.

    Yo he tenido que rehacer proyectos enteros en Eclipse, por este puto error. Me cago en Java y en su puta madre.


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: